Subject: [Detnet-dp-dt] FW: BIER-TE based detnet over 6TiSCH

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 18 Jul 2016 17:29:54 +0000

Applying the dt tech on wireless...

We compared retries, retries with TSCH, and BIER-TE based DetNet loss prevention.

The video https://www.youtube.com/watch?v=IadhZomzsA4 is a bit unclear but there are comments that explain a bit.

Take care,

Pascal

-----Original Message-----
From: Zacharie Brodard (brodazac) 
Sent: lundi 18 juillet 2016 14:10
To: Georgios PAPADOPOULOS <[email-masked]>; Thomas Watteyne <[email-masked]>
Cc: Géraldine TEXIER <[email-masked]>; Nicolas Montavont <[email-masked]>; Pascal Thubert (pthubert) <[email-masked]>; Tengfei Chang <[email-masked]>; Hao Jiang (hjiang2) <[email-masked]>; [email-masked]
Subject: RE: BIER-TE based detnet over 6TiSCH

Dear all,

Here is my report as I am not sure everyone got it yet.

Also, here is a link to a short demo on youtube. Read the video description for comments (no audio). https://www.youtube.com/watch?v=IadhZomzsA4

I will be leaving Berlin tonight so I guess I will not be able to meet. However I am available for a webex meeting this week at any time.

PS : I added my other e-mail address  as Cc of this mail as I will not keep the @cisco.com address for long, contact me at this address in the future.

Cheers,
Zach
________________________________________
De : Georgios PAPADOPOULOS <[email-masked]>
Envoyé : dimanche 17 juillet 2016 19:41
À : Thomas Watteyne
Cc : Géraldine TEXIER; Nicolas Montavont; Pascal Thubert (pthubert); Zacharie Brodard (brodazac); Tengfei Chang; Hao Jiang (hjiang2) Objet : Re: BIER-TE based detnet over 6TiSCH

Dear all,

Do you think we could meet during the IETF to discuss about the article?

Thanks,
Georgios

----- Mail original -----
De: "Thomas Watteyne" <[email-masked]>
À: "Géraldine TEXIER" <[email-masked]>
Cc: "Nicolas Montavont" <[email-masked]>, "Pascal Thubert (pthubert)" <[email-masked]>, "Georgios Z. Papadopoulos" <[email-masked]>, "Zacharie Brodard (brodazac)" <[email-masked]>, "Tengfei Chang" <[email-masked]>, "Hao Jiang (hjiang2)" <[email-masked]>
Envoyé: Lundi 4 Juillet 2016 11:20:34
Objet: Re: BIER-TE based detnet over 6TiSCH

PS: who will be in Berlin?

On Monday, July 4, 2016, Géraldine TEXIER < [email-masked]> wrote:

> I started a share latex when we were in the meeting with Pascal on 
> friday https://sharelatex.irisa.fr/project/577629d25b7a01c15b62d9ef
> I shared it with you
>
> Geraldine
>
> Le 4 juil. 2016 à 10:32, Thomas Watteyne <[email-masked] 
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>> a écrit :
>
> Pascal,
> As discussed several times. super excited to put the BIER results in a 
> paper. Does anyone have any suggestion for a journal to target? We 
> could work on in during IETF96 in Berlin.
>
> My (ordered) candidate list of journals to target:
>
>    1.
>    2. IEEE Transactions on Control of Network Systems
>    3. IEEE Transactions on Industrial Informatics
>    4. IEEE/ACM Transactions on Networking
>    5. IEEE Transactions on Wireless Communications
>    6. IEEE Transactions on Communications
>    7. IEEE Transactions on Emerging Topics in Computing
>
> Thomas
>
> On Friday, July 1, 2016, Nicolas Montavont <[email-masked] 
> <javascript:_e(%7B%7D,'cvml',[email-masked]');>> wrote:
>
>> Thank you Pascal for the email.
>>
>> I wanted to propose Georgios (in copy of this email) as editor (and 
>> also because he volunteers of course).
>>
>> Georgios is a new Associate Professor who was recently recruited in 
>> our team. He has a strong background in MAC protocols in sensor 
>> network, and will have the time and skills to do this job.
>>
>> He came at the meeting this morning, but I did not have time to 
>> introduce him (neither Tada) given the form of the meeting :)
>>
>> If you agree, he can start right away to start initiating the paper(s)!
>>
>> Nicolas
>>
>>
>> On 1 juil. 2016, at 14:51, Pascal Thubert (pthubert) 
>> <[email-masked]>
>> wrote:
>>
>> As the first (as very positive) results are produced, it is probably 
>> time to kick off the writing of the paper.
>>
>> We need an editor,
>>                Candidate?
>>
>> and we need to agree on a ToC
>>                I expect something very classical?
>>
>> and a tool
>> like https://sharelatex.irisa.fr
>> or https://www.overleaf.com/
>>
>> For the theory we can extract text:
>> - on deterministic from my draft thesis
>> - on BIER TE from the section 4.2.7.2 of
>> https://tools.ietf.org/html/draft-dt-detnet-dp-alt-00
>> - on 6TiSCH tracks from
>> https://tools.ietf.org/html/draft-thubert-6tisch-4detnet-01
>> - the changes to 6LoRH for BIER-TE + 6TiSCH from
>>
>> For the experiment we have:
>> -  Zach's draft report on his experiments (see attached)
>> -  text on the setup (Hao?) describing the rest of the story, 
>> controller, rover etc..
>> - text on openWSN  (Thomas + Tengfei?)
>>
>> For the simulation
>>                - Tada's draft report on his work
>>                - Text on how the simulation is corroborated by 
>> experimentation and how is supplements it (Nicolas + Geraldine?)
>>
>> What do you guys think?
>>
>> Pascal
>>
>> *From:* Zacharie Brodard (brodazac)
>> *Sent:* mercredi 29 juin 2016 17:05
>> *To:* Pascal Thubert (pthubert) <[email-masked]>
>> *Subject:* First results
>>
>> Salut Pascal,
>>
>> Voilà les premiers résultats !
>>
>> La disposition des motes est en pièce jointe. On a pas réussi à faire 
>> autrement pour la disposition, sinon certaines ne se voient jamais 
>> quelle que soit la puissance.
>>
>> Les courbes indiquent délai d'arrivée des paquets en fonction de 
>> l'heure, et l'histogramme la répartition des différents délais.
>> Dans les deux cas un délai de -1 signifie que le paquet n'est pas arrivé.
>>
>> Bonne fin de journée,
>> Zach
>> <146720800610795.pdf>
>>
>>
>>
>
> --
> _______________________________________
>
> Thomas Watteyne, PhD
> Research Scientist & Innovator, Inria
> Sr Networking Design Eng, Linear Tech
> Founder & co-lead, UC Berkeley OpenWSN Co-chair, IETF 6TiSCH
>
> www.thomaswatteyne.com
> _______________________________________
>
>
>

--
_______________________________________

Thomas Watteyne, PhD
Research Scientist & Innovator, Inria
Sr Networking Design Eng, Linear Tech
Founder & co-lead, UC Berkeley OpenWSN
Co-chair, IETF 6TiSCH

www.thomaswatteyne.com
_______________________________________